Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.worklist.api
Class ValidationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.bea.wli.worklist.api.ManagementException
                  com.bea.wli.worklist.api.ValidationException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  InvalidPrincipalException

    public class ValidationException

extends ManagementException

Mainly used by various public Worklist (session) beans to indicate caller that there was an user input error. The transaction if created by the user will not be rolled back unless some DB changes were made prior to throwing this exception.

Since:
  9.0
See Also:
  Serialized Form

Constructor Summary
`ValidationException()` Default constructor
`ValidationException(String message)` Construct a new `ValidationException` exception with a message.
`ValidationException(String message, Throwable except)` Construct a new `ValidationException` exception wrapping an underlying exception and providing a message.
`ValidationException(Throwable except)` Construct a new `ValidationException` exception wrapping an underlying exception.

Method Summary
`Exception` | `getException()` Returns the underlying exception, if this exception wraps another exception.
`SystemProperty` | `getPropertyInError()` Returns the field that is in error.
`String[]` | `getUserPropertyNameInError()` Returns the names of the user defined field if the field in error is of type `Field.USER_PROPERTY`
`boolean` | `isSystemPropertyInError()` Indicates if the error was on a system property.
`void` | `setPropertyInError(SystemProperty field)` The system property that is in error.
`void` | `setUserPropertyNameInError(String[] names)` Names of the user property that is in error.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ValidationException

    public ValidationException()

  Default constructor

### ValidationException

    public ValidationException(String message,
                               Throwable except)

  Construct a new `ValidationException` exception wrapping an underlying exception and providing a message.

  Parameters:
    `message` - The exception message
    `except` - The underlying exception

### ValidationException

    public ValidationException(String message)

  Construct a new `ValidationException` exception with a message.

  Parameters:
    `message` - The exception message

### ValidationException

    public ValidationException(Throwable except)

  Construct a new `ValidationException` exception wrapping an underlying exception.

  Parameters:
    `except` - The underlying exception

Method Detail

### getException

    public Exception getException()

  Returns the underlying exception, if this exception wraps another exception.

  Overrides:
    `getException` in class `ManagementException`
  Returns:
    The underlying exception, or null

### isSystemPropertyInError

    public boolean isSystemPropertyInError()

  Indicates if the error was on a system property.

  Returns:

### setPropertyInError

    public void setPropertyInError(SystemProperty field)

  The system property that is in error.

  Parameters:
    `field` -

### getPropertyInError

    public SystemProperty getPropertyInError()

  Returns the field that is in error.

  Returns:

### getUserPropertyNameInError

    public String[] getUserPropertyNameInError()

  Returns the names of the user defined field if the field in error is of type `Field.USER_PROPERTY`

  Returns:

### setUserPropertyNameInError

    public void setUserPropertyNameInError(String[] names)

  Names of the user property that is in error. This value is set when the the field type in error is `Field.USER_PROPERTY`

  Parameters:
    `names` -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD